<?php
defined('BASEPATH') or exit('No direct script access allowed');

class Index_control extends CI_Controller
{

  public function __construct()
  {
    parent::__construct();

    $this->load->model('index_model');

    if (isset($_SESSION['xfront_customer']))
      $_SESSION['xcel-notice'] = $this->index_model->_get_notice();
  }

  // public function index()
  // {
  //   $this->load->view('index', ['data'=>$this->index_model->_get_vars()]);
  // }

  public function index()
  {
    if ($this->input->get('k') === 'forgot_password')
      $this->forgot();
    else
      $this->load->view('index', ['data' => $this->index_model->_get_vars()]);
  }
  function shop($page = 'home')
  {
    if ($this->input->get('auth') === 'false')
      $this->session->set_userdata('xcel-auth', false);

    $this->load->helper('file');
    $this->load->helper('path');
    if (!is_file(APPPATH . "/views/pages/$page.php") or in_array($page, ['account'])) redirect('not_found');
    $data['auth'] = $this->session->userdata('xcel-auth');
    $data['page'] = $page;
    $data['crumbs'] = [$page];
    $data['currency'] = $this->index_model->_get_currency() ?: "";
    $data['data'] = [];
    if ($page == 'categories') {
      $data['data'] = $this->index_model->_get_categories();
      if ($this->input->get('load_market') == 'true') {
        $data['market'] = $this->index_model->_get_market(40);
      }
    } elseif ($page == 'support') {
      $data['profile'] = $this->index_model->_get_user();
    } elseif (($page == 'order_details' or $page == 'order_tracking') && isset($_SESSION['xfront_customer'])) {

      $data['cart'] = $this->index_model->_get_sale($this->input->get('cart_id'));
      $data['data'] = $this->index_model->_get_cart($this->input->get('cart_id'));
      // // if ($page == 'order_details') $data['item'] = $this->index_model->_get_itemy($this->input->get('item_id'));
      if ($page == 'order_details') $data['items'] = $this->index_model->_get_itemx($this->input->get('cart_id'));

      $data['delivery'] = $this->index_model->_get_delivery($this->input->get('cart_id'));
      $data['shipping'] = $this->index_model->_get_shipping($this->input->get('cart_id'));
      $this->db->where('paid', '1');
      $data['payment']  = $this->index_model->_get_payments($this->input->get('cart_id'));
    } elseif ($page == 'orders' && isset($_SESSION['xfront_customer'])) {
      $data['items']  = $this->index_model->_get_order_items();
      $data['opens']  = $this->index_model->_get_orders('0');
      $data['closed'] = $this->index_model->_get_orders('1');
    } elseif ($page == 'notifications') {
      $inbox = (isset($_SESSION['xfront_customer'])) ? $this->index_model->_get_inbox() : [];
      $data['data'] = $inbox;
    } elseif ($page == 'market') {
      $k = trim($this->input->get('k'));
      $q = trim($this->input->get('q'));
      $data['name'] = $this->index_model->_get_name('categories', $k);
      $cats = $this->index_model->_get_categories($q);
      // $search = $this->index_model->_get_market_categories($q);
      // $searchdata = []; $where = '';
      // if ($search && ! $k) {
      //   $where = "(";
      //   $nots  = "(";
      //   foreach ($search as $cat) {
      //     $where .= "`category`='". $cat['token'] ."' OR ";
      //     $nots  .= "`category`<>'". $cat['token'] ."' OR ";
      //   }
      //   $where = substr_replace($where, '', strrpos($where, ' OR '));
      //   $nots = substr_replace($nots, '', strrpos($nots, ' OR '));
      //   $where .= ')';
      //   $nots .= ')';
      //   $this->db->where($where);
      //   $searchdata = $this->index_model->_get_market();
      //   $this->db->where($nots);
      // }
      if ($q) $this->db->like('name', $q);
      if ($k) $this->db->where('category', $k);
      $data['data'] = $this->index_model->_get_market();
      // $data['data'] = array_merge($data['data'], $searchdata);
      if ($this->input->get('auth') == 'true') {
        exit($this->load->view('pages/md-market', $data, true));
      } elseif ($this->input->get('auth') == 'false') {
        $data['cat_data'] = $cats;
        $data['load_market'] = true;
        $data['page'] = 'categories';
        $data['crumbs'] = ['categories'];
      }
    } elseif ($page == 'cart') {
      $data['crumbs'] = ['categories', 'product details', 'cart'];
      if (isset($_SESSION['xcel-cart']) && count($_SESSION['xcel-cart']) > 0) {
        foreach ($_SESSION['xcel-cart'] as $item) {
          $data['data'][] = $this->index_model->_get_item($item);
        }
      }
      $this->load->model('cart_model');
      $data['cart'] = $this->cart_model->_get_cart();
      foreach ($data['cart'] as $key) {
        $data['cart'][$key['item']] = $key['quantity'];
      }
    } elseif ($page == 'home') {
      $data['latest']  = $this->index_model->_get_latest();
      $data['random']  = $this->index_model->_get_random();
      $data['offers']  = $this->index_model->_get_discounted();
      $data['popular'] = $this->index_model->_get_popular();
    }

    $this->load->view('shopping', $data);
  }


  function forgot()
  {
    $this->load->model('login_model');
    if (isset($_SESSION['home'])) {
      unset($_SESSION['home']);
      redirect(base_url(), 'refresh');
    }

    if (! isset($_GET['action']))
      $this->load->view('password_reset');

    if ($this->input->get('action') == 'cancel') {
      $_SESSION['page'] = '';
    } elseif ($this->input->get('action') == 'email') {
      $mail = trim($this->input->post('mimail')) ?: $this->session->userdata('mail');
      if ($mail == '' or ! filter_var($mail, FILTER_VALIDATE_EMAIL)) exit(json_encode(['status' => 'error', 'message' => 'Invalid Email Supplied']));
      $user = $this->login_model->get_email($mail);
      if (! $user) exit(json_encode(['status' => 'error', 'message' => 'Email does not match any records. <br>Please check for typing errors']));

      $settings = $this->login_model->settings();

      $code = strtoupper(substr(bin2hex(random_bytes(16)), 0, 6));

      $subject = "Password Reset";
      $message = $this->load->view('ionic_mail', ['user' => $user, 'code' => $code, 'settings' => $settings], true);

      // $config['protocol']     = 'smtp';
      // $config['smtp_host']    = 'ssl://test.scap.ng';
      // $config['smtp_port']    = '465';
      // $config['smtp_user']    = 'noreply@test.scap.ng';
      // $config['smtp_pass']    = 'Supremechem1-23456789';
      // $config['smtp_timeout'] = '7';
      // $config['charset']      = 'iso-8859-1';
      // $config['mailtype']     = 'html';
      // $config['wordwrap']     = TRUE;
      // $this->load->library('email', $config);
      // $this->email->from('noreply@test.scap.ng', 'Supreme Chemicals');
      // $this->email->to($mail);
      // $this->email->subject($subject);
      // $this->email->message($message);


      $config['protocol']     = 'smtp';
      $config['smtp_host']    = 'ssl://xcelapp.test.gurugeeksroyalty.biz';
      $config['smtp_port']    = '465';
      $config['smtp_user']    = 'noreply@xcelapp.test.gurugeeksroyalty.biz';
      $config['smtp_pass']    = 'Xceltest12';
      $config['smtp_timeout'] = '7';
      $config['charset']      = 'iso-8859-1';
      $config['mailtype']     = 'html';
      $config['wordwrap']     = TRUE;
      $this->load->library('email', $config);
      $this->email->from('noreply@xcelapp.test.gurugeeksroyalty.biz', 'XCEL');
      $this->email->to($mail);
      $this->email->subject($subject);
      $this->email->message($message);
      $email = $this->email->send();

      if (! $email)
        //   echo $this->email->print_debugger();
        exit(json_encode(['status' => 'error', 'message' => 'Failed to send password reset email']));
      // }

      //   if (!$email) {
      //     $to = $mail;
      //     $subject = "Password Reset";
      //     $message = "Your password reset code is: " . $code;
      //     $headers = "From: noreply@test.scap.ng";
      //     if (mail($to, $subject, $message, $headers)) {
      //         echo json_encode(['status'=>'success', 'message'=>'Email Sent!']);
      //     } else {
      //         echo json_encode(['status'=>'error', 'message'=>'Failed to send password reset email']);
      //     }
      // }


      $_SESSION['page'] = 'code';
      $_SESSION['code'] = $code;
      $_SESSION['user'] = $user->token;
      $_SESSION['uuid'] = $user->username;
      $_SESSION['mail'] = $mail;
      echo json_encode(['status' => 'success', 'message' => 'Email Sent!']);
    } elseif ($this->input->get('action') == 'code') {
      $code = $this->input->post('micode');

      if (!isset($_SESSION['code']) or $code != $_SESSION['code']) exit(json_encode(['status' => 'error', 'message' => 'Code is invalid']));

      $_SESSION['page'] = 'password';
      echo json_encode(['status' => 'success', 'message' => 'Verification Successful']);
    } elseif ($this->input->get('action') == 'password') {
      $p1 = $this->input->post('p1');
      $p2 = $this->input->post('p2');

      if ($p1 != $p2) exit(json_encode(['status' => 'error', 'message' => 'Passwords do not match']));

      // $this->login_model->_put(['password'=>password_hash("GG$p1", PASSWORD_DEFAULT)]);
      $passwordUpdateResult = $this->login_model->_put(['password' => "GG$p1"]);


      if ($passwordUpdateResult) {
        log_message('debug', 'Password update result: Success');
      } else {
        log_message('error', 'Password update result: Failed');
      }

      $_SESSION['home'] = true;
      unset($_SESSION['code']);
      unset($_SESSION['mail']);
      unset($_SESSION['page']);
      unset($_SESSION['user']);
      unset($_SESSION['uuid']);
      echo json_encode(['status' => 'success', 'message' => 'Password reset successful <br />Redirecting...']);
    }
  }
}
