<?php
if (!defined('BASEPATH'))
  exit('No direct script access allowed');

class Support_model extends CI_Model
{

  function __construct()
  {
    parent::__construct();
  }

  function _get_cart($voucher, $item = '')
  {
    if ($item != '') $this->db->where('item', $item);
    $cart = $this->db->get_where('er_sales', ['status' => 0, 'voucher' => $voucher]);
    if (!$cart->num_rows() > 0) return false;
    return $cart->row_array();
  }

  function _get_return($item, $voucher)
  {
    $item = $this->db->get_where('er_returns', ['status' => 0, 'item' => $item, 'voucher' => $voucher, 'customer' => $_SESSION['xfront_customer']]);
    if (!$item->num_rows() > 0) return false;
    return true;
  }

  function _get_shipping($voucher)
  {
    $ship = $this->db->get_where('er_sales_extra', ['status' => 0, 'voucher' => $voucher, 'customer' => $_SESSION['xfront_customer']]);
    if (!$ship->num_rows() > 0) return false;
    return $ship->row_array();
  }

  function _post_return($data)
  {
    $hash = base64_encode(random_bytes(16) . date('Hisa'));
    $hash = strtr($hash, '+/', '-');
    $hash = rtrim($hash, '=');
    $data['token'] = $hash;
    if (!$this->db->insert('er_returns', $data)) return false;
    return $data['token'];
  }

  function _put_shipping($target, $data)
  {
    $this->db->where('token', $target);
    $update = $this->db->update('er_sales_extra', $data);
    if (!$update) return false;
    return true;
  }

  function _put($target, $data)
  {
    $this->db->where('token', $target);
    $update = $this->db->update('er_support', $data);
    if (!$update) return false;
    return true;
  }

  function _post($data)
  {
    $hash = base64_encode(random_bytes(32) . date('Hisa'));
    $hash = strtr($hash, '+/', '-_');
    $hash = rtrim($hash, '=');
    $data['token'] = $hash;
    if (!$this->db->insert('er_support', $data)) return false;
    return $data['token'];
  }

  function _drop($target)
  {
    $this->db->where('token', $target);
    $this->db->update('er_support', ['status' => '1']);
  }
}
