<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<?php if (!isset($_SESSION['xfront_customer'])) : ?>
  <?php require_once('not_logged.php') ?>
<?php elseif ($this->session->userdata('xcel-cart') == '') : redirect(base_url('shop'), 'refresh'); ?>
<?php else :

  $section = $this->input->get('k');
  if ($section == '') redirect(base_url('shop/cart.aspx'), 'refresh');

  $n1 = $shipping['total'] ?? $_SESSION['subtotal'];
  $n2 = $shipping['shipping_fee'] ?? 0;
  $n3 = $payment['code_discount'] ?? 0;
  $n4 = $n1 + $n2 - $n3;
?>
  <div class="row">
    <div class="col-lg-7">
      <div class="pay-banner">
        <div class="pay-strip">
          <p class="active"><span>1</span> Shipping</p>
          <!-- <p class="<?= ($section == 'review' or $section == 'payment') ? 'active' : ''; ?>"><span>2</span> Payment</p> -->
          <p class="<?= ($section == 'review') ? 'active' : ''; ?>"><span>2</span> Review</p>
        </div>
      </div>
      <div class="py-4">
        <?php if ($section == 'process') : ?>
          <?= form_open(base_url('checkout'), ['class' => 'myForm']); ?>
          <h6 class="pb-3">Enter your shipping address</h6>
          <?php $ship = json_decode($shipping['shipping'] ?? '', true) ?? [] ?>
          <div class="form-group mb-3">
            <label>Full name</label>
            <input type="text" name="names" class="form-control" placeholder="Enter your full name" value="<?= $profile['name'] ?? '' ?>" />
          </div>
          <div class="form-group mb-3">
            <label>Phone number</label>
            <input type="text" name="phone" class="form-control" placeholder="Enter your phone number" value="<?= $profile['phone'] ?? '' ?>" />
          </div>
          <div class="form-group mb-3">
            <label>Address</label>
            <input type="text" name="address" id="address" class="form-control" placeholder="Enter your address" value="<?= $ship['address'] ?? $profile['address'] ?>" />
          </div>
          <div class="form-group mb-3">
            <label>Region / State</label>
            <input type="text" name="city" id="city" class="form-control" placeholder="Enter your city" value="<?= $ship['city'] ?? $profile['city'] ?>" />
          </div>
          <div class="form-group mb-3">
            <label>Country</label>
            <!-- <select name="country" class="form-select" id="countries">
              <option class="d-none text-secondary">-select country-</option>
            </select> -->
            <input type="text" name="country" id="country" class="form-control" placeholder="Enter your country" value="<?= $ship['country'] ?? $profile['country'] ?>" />

          </div>
          <div class="form-group mb-3">
            <label>Zip Code</label>
            <input type="number" id="zipcode" name="zipcode" class="form-control" placeholder="Enter your zip code" max="999999" value="<?= $ship['zipcode'] ?? $profile['zip'] ?>" />
          </div>

          <label>Saved addresses</label>
          <?php foreach ($addresses as $index => $address) : ?>
            <a href="#" class="" onclick="updateAddress(<?= $index ?>)">
              <div class=" row g-0 py-3 bg-white border mb-2">
                <div class="col-1 text-center"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none">
                    <path d="M12 11.5C11.337 11.5 10.7011 11.2366 10.2322 10.7678C9.76339 10.2989 9.5 9.66304 9.5 9C9.5 8.33696 9.76339 7.70107 10.2322 7.23223C10.7011 6.76339 11.337 6.5 12 6.5C12.663 6.5 13.2989 6.76339 13.7678 7.23223C14.2366 7.70107 14.5 8.33696 14.5 9C14.5 9.3283 14.4353 9.65339 14.3097 9.95671C14.1841 10.26 13.9999 10.5356 13.7678 10.7678C13.5356 10.9999 13.26 11.1841 12.9567 11.3097C12.6534 11.4353 12.3283 11.5 12 11.5ZM12 2C10.1435 2 8.36301 2.7375 7.05025 4.05025C5.7375 5.36301 5 7.14348 5 9C5 14.25 12 22 12 22C12 22 19 14.25 19 9C19 7.14348 18.2625 5.36301 16.9497 4.05025C15.637 2.7375 13.8565 2 12 2Z" fill="#E92C2C" />
                  </svg>
                </div>
                <div class="col-11 text-secondary">
                  <p id="saved_address<?= $index ?>"><?= $address['address'] ?></p>
                  <p id="saved_city<?= $index ?>"><?= $address['city'] ?></p>
                  <p id="saved_zipcode<?= $index ?>"><?= $address['zip'] ?></p>
                  <p id="saved_country<?= $index ?>"><?= $address['country'] ?></p>
                </div>
              </div>
            </a>
          <?php endforeach; ?>

          <div class="fixed-bottom small-fix bg-white">
            <div class="container py-3 px-lg-0">
              <button data-ref="<?= base_url('checkout?k=details'); ?>" class="btn d-block d-lg-none btn-supreme submit-x w-100">Continue</button>
              <button data-ref="<?= base_url('checkout?k=details'); ?>" class="btn d-none d-lg-block btn-outline-supreme submit-x w-100">Continue</button>
            </div>
          </div>
          <?= form_close(); ?>
        <?php elseif ($section == 'payment') : ?>
          <?= form_open(base_url('checkout'), ['class' => 'myForm position-relative']); ?>
          <h6>Choose payment method</h6>
          <a href="<?= base_url('checkout?k=method&type=paynow') ?>" class="p-3 py-4 mb-3 border rounded d-flex flex-space align-items-center link hover">
            <div>
              <p class="pb-2"><b>Pay now</b></p>
              <span class="text-secondary">Pay instantly and securely with your cash, debit card, bank transfer, or excel wallet</span>
            </div>
            <div class="text-end w-25">
              <i class="ix ix-chevron-right text-small"></i>
            </div>
          </a>
          <a href="javascript:void(0)" onclick="$('#ixMod').fadeIn(100)" class="p-3 py-4 mb-3 border rounded d-flex flex-space align-items-center link hover">
            <div>
              <p class="pb-2"><b>Pay on installments</b></p>
              <span class="text-secondary">Using this method, you can spread your payment over a convenient period of time</span>
            </div>
            <div class="text-end w-25">
              <i class="ix ix-chevron-right text-small"></i>
            </div>
          </a>
          <div class="position-absolute" id="ixMod" style="top: 0; left: 0; right: 0; bottom: 0; display: none; background-color: #fcfcfc;">
            <a href="javascript:void(0)" class="link mb-3" onclick="$('#ixMod').fadeOut(100)"><i class="ix ix-chevron-left text-small" style="font-size: .9rem"></i> &nbsp; Change Payment method</a>
            <h6 class="py-3">Enter amount to be paid now</h6>
            <div class="form-group mb-3">
              <label>Amount</label>
              <div class="position-relative">
                <?php if ($currency == "GBP"): ?>
                  <span class="fw-bold text-secondary position-absolute" style="top: 50%; left: 1rem; transform: translateY(-50%);">£ </span>
                <?php else: ?>
                  <span class="money text-secondary position-absolute" style="top: 50%; left: 1rem; transform: translateY(-50%);"></span>
                <?php endif; ?>
                <input type="number" name="amount" class="form-control ps-5" placeholder="Enter the amount" value="<?= $payment['amount'] ?? '' ?>" />
              </div>
            </div>
            <div class="text-secondary mb-3">Note: You wont be able to purchase another product until the balance is paid</div>
            <div class="fixed-bottom small-fix bg-white">
              <div class="container py-3 px-lg-0">
                <button data-ref="<?= base_url('checkout?k=method&type=installment') ?>" class="btn btn-supreme submit-x w-100">Continue</button>
              </div>
            </div>
          </div>
          <?= form_close(); ?>
        <?php elseif ($section == 'review') : ?>
          <div class="mb-5">
            <div class="flex-space">
              <h6>My Cart</h6>
              <a href="<?= base_url('shop/cart.aspx'); ?>" class="link text-danger">Edit</a>
            </div>
            <?php foreach ($cart as $row) :
              $item = $data[$row['item']];
              $price = json_decode($item->price, true);
              $price = $price['a577f519b58b533e400cf28a7464576babf92121'][0] ?? 0;
            ?>
              <div class="item-card item-card-2 mb-1">
                <div class="row h-100">
                  <div class="col-4 col-lg-3 h-100">
                    <div class="cart-img"><img src="<?= $item->image ?>" class="img-fluid rounded" /></div>
                  </div>
                  <div class="col-8 col-lg-9">
                    <p><?= $item->name ?></p>
                    <?php if ($currency == "GBP"): ?>
                      <p> <b class="fw-bold">£ <?= number_format($price); ?></b></p>
                    <?php else: ?>
                      <p><b class="money"><?= number_format($price) ?></b></p>
                    <?php endif; ?>


                    <div class="position-absolute text-secondary py-3" style="bottom: 0;"><?= intval($row['quantity']); ?> item(s)</div>
                  </div>
                </div>
              </div>
            <?php endforeach ?>
          </div>
          <div class="mb-5">
            <?php $ship = json_decode($shipping['shipping'], true) ?? [] ?>
            <div class="flex-space">
              <h6>Shipping</h6>
              <a href="<?= base_url('checkout.aspx?k=process'); ?>" class="link text-danger">Edit</a>
            </div>
            <div class="row g-0 py-3 bg-white border">
              <div class="col-1 text-center"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none">
                  <path d="M12 11.5C11.337 11.5 10.7011 11.2366 10.2322 10.7678C9.76339 10.2989 9.5 9.66304 9.5 9C9.5 8.33696 9.76339 7.70107 10.2322 7.23223C10.7011 6.76339 11.337 6.5 12 6.5C12.663 6.5 13.2989 6.76339 13.7678 7.23223C14.2366 7.70107 14.5 8.33696 14.5 9C14.5 9.3283 14.4353 9.65339 14.3097 9.95671C14.1841 10.26 13.9999 10.5356 13.7678 10.7678C13.5356 10.9999 13.26 11.1841 12.9567 11.3097C12.6534 11.4353 12.3283 11.5 12 11.5ZM12 2C10.1435 2 8.36301 2.7375 7.05025 4.05025C5.7375 5.36301 5 7.14348 5 9C5 14.25 12 22 12 22C12 22 19 14.25 19 9C19 7.14348 18.2625 5.36301 16.9497 4.05025C15.637 2.7375 13.8565 2 12 2Z" fill="#E92C2C" />
                </svg>
              </div>
              <div class="col-11 text-secondary">
                <p><?= $ship['name'] ?></p>
                <p><?= $ship['phone'] ?></p>
                <p><?= $ship['address'] ?></p>
                <p><?= $ship['country'] ?></p>
              </div>
            </div>
          </div>
          <!-- <div>
        <?php $ship = json_decode($shipping['shipping'], true) ?? [] ?>
        <div class="flex-space">
          <h6>Payment Method</h6>
          <a href="<?= base_url('checkout.aspx?k=payment'); ?>" class="link text-danger">Edit</a>
        </div>
        <div class="border p-3 text-secondary">
          <div class="flex-space">
            <p><?= ($payment['pay_type'] == 0) ? 'Pay Now' : 'Pay on installment'; ?></p>
            <b class="money"><?= number_format($payment['amount']); ?></b>
          </div>
        </div>
        <?php if ($payment['pay_type'] == 1) : ?>
        <div class="text-danger py-2">You have an outstanding balance of <span class="money"><?= number_format($n4 - $payment['amount']); ?></span></div>
        <?php endif ?>
      </div> -->
        <?php endif ?>
      </div>
    </div>
    <div class="col-lg-5 <?= $section != 'review' ? 'd-none d-lg-block' : ''; ?>">
      <div class="ps-lg-5 position-relative">
        <?php $x = (empty($shipping) or $section !== 'review'); ?>
        <?php if (1 === 0) : ?>
          <?= form_open(base_url('checkout'), ['class' => 'myForm']); ?>
          <div class="form-group mb-3 position-relative">
            <input type="text" name="code" class="form-control" placeholder="Promo code" <?= ($x ? 'disabled' : '') ?> value="<?= $payment['code'] ?? '' ?>" />
            <button data-ref="<?= base_url('checkout?k=code'); ?>" class="text-supreme btn submit-x position-absolute text-small" <?= ($x ? 'disabled' : '') ?> style="top: 50%; right: 0; transform: translateY(-50%);">Apply</button>
          </div>
          <?= form_close(); ?>
          <p class="bold flex-space mb-3">Discount
            <?php if ($currency == "GBP"): ?>
              <b class=" ix-2xfw-bold">£ <?= number_format($n3); ?></b>
            <?php else: ?>
              <b class="ix-2x money"><?= number_format($n3); ?></b>
            <?php endif; ?>

          </p>
        <?php endif; ?>
        <p class="bold flex-space mb-3">Subtotal

          <?php if ($currency == "GBP"): ?>
            <b class=" ix-2xfw-bold">£ <?= number_format($n1); ?></b>
          <?php else: ?>
            <b class="ix-2x money"><?= number_format($n1); ?></b>
          <?php endif; ?>

        </p>
        <p class="bold flex-space mb-3">Shipping Fee
          <?php if ($currency == "GBP"): ?>
            <b class=" ix-2xfw-bold">£ <?= number_format($n2); ?></b>
          <?php else: ?>
            <b class="ix-2x money"><?= number_format($n2); ?></b>
          <?php endif; ?>

        </p>
        <p class="bold flex-space mb-3">Total

          <?php if ($currency == "GBP"): ?>
            <b class=" ix-2xfw-bold">£ <?= number_format($n4); ?></b>
          <?php else: ?>
            <b class="ix-2x money"><?= number_format($n4); ?></b>
          <?php endif; ?>
        </p>
        <div class="fixed-bottom small-fix bg-white">
          <div class="container py-3 px-lg-0">
            <a href="<?= $x ? 'javascript:void(0)' : base_url('pay/checkout.aspx'); ?>" class="btn btn-supreme checkout w-100 <?= ($x ? 'disabled' : '') ?>">Complete Order</a>
          </div>
        </div>
        <div id="processing">
          Initializing Payment<span id="dots"></span>
        </div>
        <?php if ($x) : ?>
          <div></div>
        <?php else : ?>
          <div id="paypal-button-container"></div>
          <p id="result-message"></p>
        <?php endif  ?>

        <!-- Replace the "test" client-id value with your client-id -->
        <script src="https://www.paypal.com/sdk/js?client-id=test&currency=USD"></script>
      </div>
    </div>
  </div>
  <script type="text/javascript" defer>
    function updateAddress(index) {
      // Get the HTML element by its id
      var zipcodeElm = document.getElementById(`saved_zipcode${index}`);
      var cityElm = document.getElementById(`saved_city${index}`);
      var addressElm = document.getElementById(`saved_address${index}`);
      var countryElm = document.getElementById(`saved_country${index}`);

      var zipcode = zipcodeElm.textContent;
      var city = cityElm.textContent;
      var address = addressElm.textContent;
      var country = countryElm.textContent;

      document.getElementById("zipcode").value = zipcode;
      document.getElementById("city").value = city;
      document.getElementById("address").value = address;
      document.getElementById("country").value = country;

    }
    <?php if ($section == 'process') : ?>
      const BASE_URL = 'https://countriesnow.space/api/v0.1/countries'

      let cxdata = null;
      $.get(BASE_URL, function(res) {
        res.data.forEach((country) => {
          $('#countries').append(`<option value="${country.iso3}">${country.country}</option>`);
        });
        $('#countries').val('NGA');
        cxdata = res.data;
      });
    <?php elseif ($section == 'review') : ?>
      let dots = '';
      setInterval(function() {
        dots = $('#dots').text().length == 3 ? '' : dots + '.';
        $('#dots').text(dots);
      }, 600);
      $(document).ready(function() {
        $('.checkout').click(function(e) {
          e.preventDefault();
          $('#processing').addClass('active');
          $.get($(this).attr('href'), function(res) {
            res = JSON.parse(res);
            if (!res.hasOwnProperty('status')) return false;
            if (res.status == 'error') {
              toast('error', 'Payment Error', res.message);
              $('#processing').removeClass('active');
            } else if (res.hasOwnProperty('extra')) window.location = res.extra;
          }).fail(function(r, s, x) {
            toast('warning', 'Connection Error', 'A an error occured <br />Please Check your internet connection');
          });
        });
      });
    <?php endif ?>
  </script>
<?php endif ?>
<span id="page-title">Checkout</span>
<script src="https://www.paypal.com/sdk/js?client-id=test&currency=USD"></script>
<script>
  window.paypal
    .Buttons({
      createOrder: (data, actions) => {
        return actions.order.create({
          purchase_units: [{
            amount: {
              value: "<?= $n4; ?>",
            },
            currency: "EUR",
          }, ],
        });
      },
      async onApprove(data, actions) {
        return actions.order.capture().then(function(orderData) {
          const transaction = orderData.purchase_units[0].payments.captures[0];

          fetch("<?= base_url() ?>paypal/checkout", {
              method: 'POST',
              headers: {
                'Content-Type': 'application/json'
              },
              body: JSON.stringify({
                paymentData: orderData,
                amount: "<?= $n4; ?>"
              }),
            })
            .then(response => response.json())

            .then(data => {
              if (data.status === 'success') {
                alert(`Transaction  completed successfully!`);
                window.location.href = "<?= base_url('shop.aspx'); ?>";
              } else {
                console.log("Response from server:", data);
                alert('Payment capture failed: ' + data.message);
              }

            })
            .catch(error => console.error('Error:', error));
        });
      }

    })
    .render("#paypal-button-container");

  // Example function to show a result to the user. Your site's UI library can be used instead.
  function resultMessage(message) {
    const container = document.querySelector("#result-message");
    container.innerHTML = message;
  }
</script>