<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<div class="container px-0">
  <!-- Filter Strip -->
  <div class="border-top border-bottom d-flex d-lg-none mb-3" style="margin: 0 -1rem; z-index: 1; position: relative;">
    <button class="btn w-100 border-end rounded-0" data-title="Sort By" data-toggle="modal" data-target="#modalY" data-id="#sort">
      <span class="ix-2x">Sort</span> &nbsp;<i class="ix ix-chevron-right rotate-90"></i></button>
    <button class="btn w-100 rounded-0" data-title="Filter By" data-toggle="modal" data-target="#modalY" data-id="#filter">
      <span class="ix-2x">Filter</span> &nbsp;<i class="ix ix-filter"></i></button>
  </div>
  <?php if (!is_string($name)) : $search = $this->input->get('q'); ?>
    <div class="mb-3"> Searching: <b><em>"<?= $search ?>"</em></b></div>
  <?php endif ?>
  <?php if (count($data) < 1) : ?>
    <div class="p-5 text-center">No matching products found</div>
  <?php endif ?>
  <div class="row px-1">
    <?php $search = $this->input->get('q') ?: ''; ?>
    <?php foreach ($data as $row) :
      $discount = ceil($row['discount'] * 100 / ($row['price'] + $row['discount']));
      $term = $search ? substr($row['name'], stripos($row['name'], $search), strlen($search)) : '';
    ?>
      <div class="col-6 col-md-4 col-lg-3 px-1">
        <div class="p-2 x-card" id='productCard'>
          <a href="<?= base_url('details?k=' . $row['token']) ?>" class="link">
            <div class="img"><img src="<?= $row['image'] ?>" /></div>
            <div class="name-tag">
              <p class="pt-2 pb-1" id='productName'><?= str_replace($search, "<span class=\"bg-warning\">$term</span>", $row['name']); ?></p>
              <p class="pb-2 text-nowrap">
                <b class="money"><?= number_format($row['price']) ?></b>
                <?php if ($row['discount'] > 0) : ?>
                  <span class="line-through text-small">N<?= number_format($row['price'] + $row['discount']) ?></span>
                <?php endif ?>
              </p>
            </div>
          </a>
          <?php if ($row['discount'] > 0) : ?>
            <span class="discount"><?= $discount; ?>%</span>
          <?php endif ?>
          <a href="<?= base_url('cart?k=add&item_id=' . $row['token']) ?>" class="btn w-100 btn-supreme carter<?= isset($_SESSION['xcel-cart']) && in_array($row['token'], $_SESSION['xcel-cart']) ? ' disabled' : '' ?>">Add to Cart</a>
        </div>
      </div>
    <?php endforeach ?>
  </div>
</div>
<span id="page-title"><?= is_string($name) ? $name : 'Product Search'; ?></span>
<div id="modalY">
  <div class="content pb-4">
    <h6 class="headr border-bottom"><b></b></h6>
    <div class="modal-item px-4 d-none" id="sort">
      <?php $sort = $this->session->userdata('xfront_filter_sort'); ?>
      <a href="javascript:void(0)" data-ref="<?= base_url('filter/sort?k=newest'); ?>" class="linker <?= $sort == 'newest' ? 'active' : '' ?>">New Arrivals</a>
      <a href="javascript:void(0)" data-ref="<?= base_url('filter/sort?k=lowest'); ?>" class="linker <?= $sort == 'lowest' ? 'active' : '' ?>">Lowest to highest Price</a>
      <a href="javascript:void(0)" data-ref="<?= base_url('filter/sort?k=highest'); ?>" class="linker <?= $sort == 'highest' ? 'active' : '' ?>">Highest to lowest Price</a>
    </div>
    <div class="modal-item px-4 pt-2 d-none" id="filter">
      <?php include('filter.php') ?>
    </div>
  </div>
</div>
<script>
  var card = document.getElementById("productCard");
  var productName = document.getElementById("productName");
  var cardWidth = card.offsetWidth;

  // Get the width of the product name
  var productNameWidth = productName.offsetWidth;

  // Compare the widths and add ellipsis if necessary
  if (productNameWidth > cardWidth) {
    productName.style.textOverflow = "ellipsis";
    productName.style.whiteSpace = "nowrap";
    productName.style.overflow = "hidden";
  }
</script>