<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<?php if (!isset($_SESSION['xfront_customer'])) : ?>
  <?php require_once('not_logged.php') ?>
<?php elseif (count($cart) > 0) : $total = 0; ?>
  <?php $span = time() - strtotime($cart['date']); ?>
  <?php if ($cart['paid'] == 1 && floor($span / 86400) <= 7) : ?>
    <div class="fixed-bottom small-fix bg-white" id="sort">
      <div class="container py-3 px-lg-0">
        <a href="javascript:void(0)" onclick="$('#success2').fadeIn(100)" class="btn btn-supreme w-100 d-block d-lg-none">Return Product</a>
        <a href="javascript:void(0)" onclick="$('#success2').fadeIn(100)" class="btn btn-supreme d-none d-lg-inline-block">Return Product</a>
      </div>
    </div>
  <?php endif ?>
  <div class="row">
    <div class="col-lg-7 bold-span">
      <div class="mb-3 pb-3">
        <div class="d-flex justify-content-between ix-2x">
          <b>Order</b><a href="<?= base_url('shop/order_tracking.aspx?cart_id=' . $cart['voucher']) ?>" class="text-danger text-small d-block d-lg-none">View status history</a>
        </div>
        <p class="pt-2"><span class="text-secondary">Status:</span> <span><?= ($delivery && $delivery['order_confirmed'] == 1) ? $delivery['order_status']  : 'Pending' ?></span></p>
        <p class="pt-2"><span class="text-secondary">Order ID:</span> <span><?= $cart['voucher'] ?></span></p>
        <p class="pt-2"><span class="text-secondary">Date purchased:</span> <span><?= date('d/m/Y', strtotime($cart['date'])) ?></span></p>
      </div>
      <div class="mb-3 pb-3">
        <div class="ix-2x mb-2 mt-3"><b>Product</b></div>
        <?php foreach ($items as $row) :
          $total += $row['total'];
        ?>
          <div class="item-card item-card-2 mb-0">
            <div class="row h-100">
              <div class="col-4 h-100">
                <div class="cart-img"><img src="<?= $row['image']; ?>" class="img-fluid rounded" /></div>
              </div>
              <div class="col-8">
                <p><?= $row['name']; ?></p>
                <p>
                  <?php if ($currency == "GBP"): ?>
                    <span class="fw-bold">£ <?= number_format($row['price']); ?></span>
                  <?php else: ?>
                    <b class="money"><?= number_format($row['price']) ?></b>
                  <?php endif; ?>
                </p>
                <p class="pt-3 text-secondary"><?= number_format($row['quantity']) ?> item<?= $row['quantity'] > 1 ? 's' : ''; ?></p>
              </div>
            </div>
          </div>
        <?php endforeach ?>
      </div>
      <div class="mb-3 pb-3">
        <?php $balance = $total + $shipping['shipping_fee'] - $payment['amount']; ?>
        <div class="ix-2x d-flex justify-content-between"><b>Payment Details</b>
          <?php if ($payment['pay_type'] == 1 && $balance > 0) { ?><a href="javascript:void(0)" class="text-small text-danger" onclick="$('#success').fadeIn(100)">Make Payment</a> <?php } ?>
        </div>
        <!-- <p class="pt-2"><span class="text-secondary">Method:</span> <span><?= $payment['pay_type'] == 1 ? 'Installment' : 'Pay now'; ?></span></p> -->
        <p class="pt-2"><span class="text-secondary">Subtotal:</span>
          <?php if ($currency == "GBP"): ?>
            <span class="fw-bold">£ <?= number_format($total); ?></span>
          <?php else: ?>
            <span class="money"><?= number_format($total); ?></span>
          <?php endif; ?>

        </p>
        <p class="pt-2"><span class="text-secondary">Delivery fee:</span>
          <?php if ($currency == "GBP"): ?>
            <span class="fw-bold">£ <?= number_format($shipping['shipping_fee']); ?></span>
          <?php else: ?>
            <span class="money"><?= number_format($shipping['shipping_fee']); ?></span>
          <?php endif; ?>

        </p>
        <!-- <p class="pt-2"><span class="text-secondary">Discount:</span> <span class="money"><?= number_format($payment['code_discount']); ?></span></p> -->
        <p class="pt-2"><span class="text-secondary">Total:</span>
          <?php if ($currency == "GBP"): ?>
            <span class="fw-bold">£ <?= number_format($total + $shipping['shipping_fee']); ?></span>
          <?php else: ?>
            <span class="money"><?= number_format($total + $shipping['shipping_fee']); ?></span>
          <?php endif; ?>
        </p>

        <?php if (1 === 0) : ?>
          <!-- Payment Status WRT Installment Payment -->
          <?php if ($payment['pay_type'] == 1 && $balance > 0) : ?>
            <p class="pt-2"><span class="text-secondary">Amount Paid:</span>
              <?php if ($currency == "GBP"): ?>
                <span class="fw-bold">£ <?= number_format($payment['amount']); ?></span>
              <?php else: ?>
                <span class="money"><?= number_format($payment['amount']); ?></span>
              <?php endif; ?>
            </p>
            <p class="pt-2 text-danger"><span>Balance:</span>
              <?php if ($currency == "GBP"): ?>
                <span class="fw-bold">£ <?= number_format($balance); ?></span>
              <?php else: ?>
                <span class="money"><?= number_format($balance); ?></span>
              <?php endif; ?>

            </p>
          <?php elseif ($balance <= 0) : ?>
            <p class="pt-2"><span class="text-secondary">Status:</span> <span class="text-success">Payment Completed</span></p>
          <?php endif ?>
        <?php endif ?>

      </div>
      <div class="mb-3">
        <div class="ix-2x"><b>Delivery Details</b></div>
        <?php $ship = json_decode($shipping['shipping'], true); ?>
        <p class="pt-2"><span class="text-secondary">Address:</span> <span><?= $ship['address'] ?? ''; ?></span></p>
      </div>
    </div>
    <div class="col-lg-5 d-none d-lg-block">
      <?php include('order_tracking.php') ?>
    </div>
  </div>
  <?php if ($cart['paid'] == 1) : ?>
    <div id="success2" class="noflex">
      <div class="p-4">
        <h5 class="fixed-top small-fix p-3 p-lg-0 cursor-pointer" onclick="$('#success2').fadeOut(100);">
          <span class="text-small"><i class="ix ix-chevron-left text-small pe-1"></i></span> Return Product
        </h5>
        <div class="pt-5 pt-lg-4">
          <?= form_open(base_url('return.aspx'), ['class' => 'myForm fader']); ?>
          <div class="form-group mb-3">
            <label>Product</label>
            <select class="form-select" name="item">
              <option value="" class="d-none">select product</option>
              <?php foreach ($cartdata as $row) : ?>
                <option value="<?= $row['item'] ?>"><?= $row['name']; ?></option>
              <?php endforeach ?>
            </select>
          </div>
          <div class="form-group mb-3">
            <label>Quantity</label>
            <input type="number" name="quantity" class="form-control" placeholder="Enter Quantity" min="1" max="" id="quantity" />
          </div>
          <div class="form-group mb-3">
            <label>Select a reason</label>
            <select class="form-select" name="reason">
              <option value="" class="d-none">Choose a category</option>
              <option value="faulty">Faulty Product</option>
              <option value="wrong">Wrong Product Shipped</option>
              <option value="late">Arrived too late</option>
            </select>
          </div>
          <div class="form-group mb-3">
            <label>More Information</label>
            <textarea name="details" class="form-control" placeholder="Tell us what the problem is" rows="5"></textarea>
          </div>
          <div class="fixed-bottom small-fix bg-white">
            <div class="container py-3 px-lg-0">
              <a href="javascript:void(0)" data-ref="<?= base_url('shop/put/support?cart=' . $cart['voucher']); ?>" class="btn btn-supreme submitx w-100">Continue</a>
            </div>
          </div>
          <?= form_close(); ?>
          <?= form_open(base_url('return.aspx'), ['class' => 'myForm fader d-none']); ?>
          <div class="form-group mb-3">
            <label>Account name</label>
            <input type="text" name="name" class="form-control" placeholder="Enter account name" />
          </div>
          <div class="form-group mb-3">
            <label>Bank</label>
            <input type="text" name="bank" class="form-control" placeholder="Enter bank name" />
          </div>
          <div class="form-group mb-3">
            <label>Account number</label>
            <input type="number" name="number" class="form-control" placeholder="Enter account number" />
          </div>
          <div class="fixed-bottom small-fix bg-white">
            <div class="container py-3 px-lg-0">
              <a href="javascript:void(0)" data-ref="<?= base_url('shop/put/support?extras=account&cart=' . $cart['voucher']); ?>" class="btn btn-supreme submitx w-100">Continue</a>
            </div>
          </div>
          <?= form_close(); ?>
          <div class="position-absolute h-100 justify-content-center align-items-center bg-white d-none" id="success3" style="top: 0; left: 0; right: 0; z-index: 9999">
            <div class="p-4 p-lg-5 text-center">
              <img src="<?= base_url('assets/images/success.png') ?>" width="96px" />
              <h3 class="pt-3"><b>Request Submitted</b></h3>
              <p class="pb-5">Your account will be refunded in 3 to 5 working days.</p>
              <div class="fixed-bottom position-absolute mx-3">
                <div class="container py-3 px-lg-0">
                  <a href="<?= base_url('shop.aspx'); ?>" class="btn btn-supreme w-100">Back to Home</a>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <span id="device-checker" class="d-none d-lg-block"></span>
  <?php endif ?>
  <div id="success" class="d-none noflex">
    <div class="p-4">
      <h5 class="fixed-top small-fix p-3 p-lg-0 cursor-pointer" onclick="$('#success').fadeOut(100);">
        <span class="text-small"><i class="ix ix-chevron-left text-small pe-1"></i></span> Make Payment
      </h5>
      <div class="pt-5 pt-lg-4"><?php include('pay.php'); ?></div>
    </div>
  </div>
<?php else : ?>
  <div class="text-secondary text-center p-5">
    <h2>Ouch!</h2>
    we could not find what you were looking for...
  </div>
<?php endif; ?>
<div id="page-title">Order Details</div>
<style type="text/css">
  .bold-span span+span {
    font-weight: 500;
  }
</style>
<script type="text/javascript">
  $('#sort').appendTo($('#sub-title'));
  $('#success, #success2, #success3').hide().removeClass('d-none');
  $('#success, #success2').click(function(e) {
    if (e.target == this && $('#device-checker').is(':visible')) $('#success, #success2').fadeOut(100);
  })
  $('.submitx').click(function(e) {
    e.preventDefault();

    let me2 = $(this);
    me2.attr('disabled', true);
    $.post(me2.data('ref'), me2.parents('form').serialize(), function(res) {
      res = JSON.parse(res);
      if (!res.hasOwnProperty('status') || !res.hasOwnProperty('message')) {
        toast('error', 'Locator error', 'An error occured while processing the request');
        return;
      } else if (res.status == 'success') {
        if (res.hasOwnProperty('extra') && res.extra == 'reload') location.reload();
        if (res.message == 'account') {
          $('.fader').toggleClass('d-none');
          res.message = 'Please provide the following information';
        } else if (res.message == 'succeeded') {
          $('.fader > div').fadeOut(200);
          $('#success3').addClass('d-flex').fadeIn(100);
          res.message = 'Request Sent!';
        }
      }
      toast(res.status, res.status, res.message);
    })
  })
</script>