<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<div>
  <div class="banner border-bottom text-center mb-3">
    <div class="btn-group rounded-0">
      <a href="#open" class="btn border-bottom switch-toggle">Open Orders</a>
      <a href="#closed" class="btn border-bottom inactive switch-toggle">Closed Orders</a>
      <a href="#again" class="btn border-bottom inactive switch-toggle">Buy again</a>
    </div>
  </div>
  <div class="pt-3"><input type="text" id="osearch" class="form-control" placeholder="Type order ID"></div>
  <div class="switch" id="open">
    <?php
    $a = $b = '';
    foreach ($opens as $row):
    ?>
      <?php if ($row['voucher'] != $a) { ?>
        <div class="bg-secondary d-flex justify-content-between text-light p-2 mt-3 cart">Order: #<?= $row['voucher'] ?>
          <span><?= date('d-m-Y', strtotime($row['created_at'])) ?></span>
        </div>
      <?php } ?>
      <a href="<?= base_url('shop/order_details.aspx?cart_id=' . $row['voucher'] . '&item_id=' . $row['item']); ?>" target="_blank" class="link d-block cart">
        <div class="item-card item-card-2 mb-0 border-top-0">
          <div class="row h-100">
            <div class="col-4 col-lg-3 h-100">
              <div class="cart-img"><img src="<?= $items[$row['item']]->image ?>" class="img-fluid rounded" /></div>
            </div>
            <div class="col-8 col-lg-9">
              <p><?= $items[$row['item']]->name ?></p>
              <p>
                <?php if ($currency == "GBP"): ?>
                  <span class="fw-bold">£ <?= number_format($row['price']); ?></span>
                <?php else: ?>
                  <b class="money"><?= number_format($row['price']) ?></b>
                <?php endif; ?>
              </p>
              <div class="position-absolute text-secondary py-3" style="bottom: 0;"><?= intval($row['quantity']); ?> items</div>
            </div>
          </div>
        </div>
      </a>
      <?php if ($row['voucher'] != $a) {
        $a = $row['voucher'];
      } ?>
    <?php endforeach ?>
  </div>
  <div class="switch d-none" id="closed">
    <?php
    $a = '';
    foreach ($closed as $row):
    ?>
      <?php if ($row['voucher'] != $a) { ?>
        <div class="bg-secondary d-flex justify-content-between text-light p-2 mt-3 cart">Order: #<?= $row['voucher'] ?>
          <span><?= date('d-m-Y', strtotime($row['created_at'])) ?></span>
        </div>
      <?php } ?>
      <a href="<?= base_url('shop/order_details.aspx?cart_id=' . $row['voucher'] . '&item_id=' . $row['token']); ?>" target="_blank" class="link d-block cart">
        <div class="item-card item-card-2 mb-0 border-top-0">
          <div class="row h-100">
            <div class="col-4 col-lg-3 h-100">
              <div class="cart-img"><img src="<?= $items[$row['item']]->image ?>" class="img-fluid rounded" /></div>
            </div>
            <div class="col-8 col-lg-9">
              <p><?= $items[$row['item']]->name ?></p>
              <p>
                <?php if ($currency == "GBP"): ?>
                  <span class="fw-bold">£ <?= number_format($row['price']); ?></span>
                <?php else: ?>
                  <b class="money"><?= number_format($row['price']) ?></b>
                <?php endif; ?>
              </p>
              <div class="position-absolute text-secondary py-3" style="bottom: 0;"><?= intval($row['quantity']); ?> items</div>
            </div>
          </div>
        </div>
      </a>
      <?php if ($row['voucher'] != $a) {
        $a = $row['voucher'];
      } ?>
    <?php endforeach ?>
  </div>
  <div class="switch d-none pt-3 container" id="again">
    <div class="row">
      <?php foreach ($items as $row):
        $discount = ceil($row->discount * 100 / ($row->price + $row->discount));
      ?>
        <div class="col-6 col-md-4 px-1">
          <div class="p-2 x-card">
            <a href="<?= base_url('details?k=' . $row->token) ?>" class="link">
              <div class="img"><img src="<?= $row->image ?>" /></div>
              <div class="name-tag">
                <p class="pt-2 pb-1"><?= $row->name; ?></p>
                <p class="pb-2 text-nowrap">
                  <?php if ($currency == "GBP"): ?>
                    <span class="fw-bold">£ <?= number_format($row->price); ?></span>
                  <?php else: ?>
                    <b class="money"><?= number_format($row->price) ?></b>
                  <?php endif; ?>
                  <?php if ($row->discount > 0): ?>
                    <?php if ($currency == "GBP"): ?>
                      <span class="line-through text-small">£<?= number_format($row->price + $row->discount) ?></span>
                    <?php else: ?>
                      <span class="line-through text-small">N<?= number_format($row->price + $row->discount) ?></span>
                    <?php endif; ?>
                  <?php endif ?>
                </p>
              </div>
            </a>
            <?php if ($row->discount > 0): ?>
              <span class="discount"><?= $discount; ?>%</span>
            <?php endif ?>
            <a href="<?= base_url('cart?k=add&item_id=' . $row->token) ?>"
              class="btn w-100 btn-supreme carter<?= isset($_SESSION['xcel-cart']) && in_array($row->token, $_SESSION['xcel-cart']) ? ' disabled' : '' ?>">Add to Cart</a>
          </div>
        </div>
      <?php endforeach ?>
    </div>
  </div>
</div>