<?php defined('BASEPATH') OR exit('No direct script access allowed'); ?>
<?php $this->load->helper('cookie'); ?>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet" type="text/css" href="<?= base_url('assets/toaster/toast.style.min.css'); ?>">
<link rel="icon" type="image" href="<?= base_url('assets/images/favicon.png'); ?>" />
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" crossorigin="anonymous">
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.5/font/bootstrap-icons.css">
<link rel="stylesheet" href="<?= base_url('assets/ixfonts/style.css') ?>">
<link rel="stylesheet" href="<?= base_url('assets/css/login.css') ?>">
<script src="https://code.jquery.com/jquery-3.7.0.min.js" integrity="sha256-2Pmvv0kuTBOenSvLm6bvfBSSHrUJ+3A7x6P5Ebd07/g=" crossorigin="anonymous"></script>
<script type="text/javascript" src="<?= base_url('assets/toaster/toast.script.js') ?>" defer></script>
<script type="text/javascript" src="<?= base_url('assets/js/login.js') ?>" defer></script>
<title>Xcel - Signup</title>
</head>
<body data-theme="light" tabindex="-1">
<div class="container-fluid h-100 p-lg-0">
  <div class="row g-0 h-100">
    <div class="col-lg-7 d-none d-lg-block">
      <?php require_once('placeholder.php'); ?>
    </div>
    <div class="col-lg-5 h-100">
      <h5 onclick="history.back()" class="py-2 px-lg-2 m-0"><i class="ix ix-chevron-left" style="font-size: .8em;"></i> <span id="title" class="ps-2">Back</span></h5>
      <div class="p-0 p-lg-5">
        <h4 class="pt-4 d-block d-lg-none"><b>Create Account</b></h4>
        <div class="pb-4 d-flex justify-content-between align-items-center">
          <div>
            <h2 class="d-none d-lg-block"><b>Create Account</b></h2>
            <div class="pt-2">Hello! Let’s set up your account and start exploring our products.</div>
          </div>
          <div class="d-none d-lg-block"><img src="<?= base_url('assets/images/logo.jpg'); ?>" width="70px"></div>
        </div>
        <?= form_open('login', ['class'=>'myForm', 'id'=>'myForm', 'autocomplete'=>'off']); ?>
        <div class="form-group mb-4">
          Full name
          <input type="email" class="form-control" name="miname" placeholder="First name and Last name" required />
        </div>
        <div class="form-group mb-4">
          Email Address
          <input type="email" class="form-control" name="mimail" placeholder="example@email.com" required />
        </div>
        <div class="form-group mb-4">
          Phone Number
          <input type="email" class="form-control" name="miphone" placeholder="Enter your phone number" required />
        </div>
        <div class="form-group mb-4">
          Password
          <div class="position-relative">
            <input type="password" class="form-control pass" id="p1" name="mipass" placeholder="8 characters minimum" required/>
            <span class="d-block toggle"><i class="bi-eye"></i></span>
          </div>
        </div>
        <div class="form-group mb-4">
          Confirm Password
          <div class="position-relative">
            <input type="password" class="form-control pass" id="p2" name="mipass2" onkeyup="dirty = true" placeholder="8 characters minimum" required/>
            <span class="d-block toggle"><i class="bi-eye"></i></span>
          </div>
        </div>
        <div class="text-justify pb-2">
          <div class="form-check form-check-inline me-0">
            <input class="form-check-input" type="checkbox" name="miconfirm" />
            <label class="form-check-label"></label>
          </div>By signing up, you agree to <a href="<?= base_url('terms.aspx') ?>" class="d-inline"><b class="text-dark">Terms of Services & Privacy policy</b></a>
        </div>
        <div class="form-group mb-3 py-3">
          <i class=""></i>
          <button class="btn btn-supreme" id="submit" data-ref="<?= base_url('signup.aspx') ?>"><span class="text">Create Account</span>&nbsp;</button>
        </div>
        <?= form_close(); ?>
        <div class="text-center px-2 pb-4">
          <div class="line-through mb-4"><span>OR</span></div>
          <a href="<?= base_url('google-login.aspx'); ?>" class="btn border d-flex align-items-center justify-content-center">
            <img src="<?= base_url('assets/images/google-icon.png'); ?>" width="20px"> &nbsp; Sign up with Google
          </a>
          <div class="my-3">Already have an account? <a href="<?= base_url('signin.aspx'); ?>" class="text-supreme"><b>Sign in</b></a></div>
        </div>
      </div>
    </div>
  </div>
  <span class="d-none" id="base"><?= base_url() ?></span>
</div>
<style type="text/css">
  .toggle {
    position: absolute; 
    top: 50%; right: 2px; 
    transform: translateY(-50%);
    height: 90%;
    padding: .9rem; 
    padding-top: .6rem;
    z-index: 9;
    border-radius: 4px;
    background-color: #fff;
  }
</style>
<script type="text/javascript">
  let dirty = false;
  $('.pass').keyup(function(){
    if ($('#p1').val() != '' && $('#p1').val() != $('#p2').val() && dirty)
      $('#p2').addClass('is-invalid');
    else $('#p2').removeClass('is-invalid');
  });
</script>
</body>
</html>