<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<div class="container-fluid bg-white p-0 sticky-top" id="topbar">
  <div class="container">
    <div class="d-flex d-lg-none justify-content-between py-1">
      <?php if (in_array($page, ['home', 'categories'])) : ?>
        <a href="<?= base_url('shop.aspx') ?>" class="py-2 "><img src="<?= base_url('assets/images/logo.png') ?>" height="32px"></a>
        <a href="<?= base_url('shop/notifications.aspx') ?>" class="btn"><i class="ix ix-bell-o ix-2x"></i></a>
      <?php elseif (in_array($page, ['support', 'account'])) : ?>
        <h5 class="py-2 m-0" id="backer">
          <i class="ix ix-chevron-left" style="font-size: .8em;"></i> <span id="title" class="ps-2"></span>
        </h5>
      <?php elseif (!in_array($page, ['home'])) : ?>
        <h5 onclick="history.back()" class="py-2 m-0"><i class="ix ix-chevron-left" style="font-size: .8em;"></i> <span id="title" class="ps-2"></span></h5>
      <?php endif ?>
      <?php if (in_array($page, ['market', 'details', 'cart', 'checkout', 'account', 'complaint'])) : ?>
        <div>
          <a href="javascript:void(0)" class="btn pe-2" onclick="$('#search-sm').removeClass('d-none')">
            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none">
              <path d="M21.4073 19.7527L16.9969 15.3422C18.0587 13.9286 18.6319 12.208 18.63 10.44C18.63 5.92406 14.9559 2.25 10.44 2.25C5.92406 2.25 2.25 5.92406 2.25 10.44C2.25 14.9559 5.92406 18.63 10.44 18.63C12.208 18.6319 13.9286 18.0587 15.3422 16.9969L19.7527 21.4073C19.9759 21.6069 20.2671 21.7135 20.5664 21.7051C20.8658 21.6967 21.1506 21.574 21.3623 21.3623C21.574 21.1506 21.6967 20.8658 21.7051 20.5664C21.7135 20.2671 21.6069 19.9759 21.4073 19.7527ZM4.59 10.44C4.59 9.28298 4.9331 8.15194 5.5759 7.18991C6.21871 6.22789 7.13235 5.47808 8.2013 5.03531C9.27025 4.59253 10.4465 4.47668 11.5813 4.70241C12.7161 4.92813 13.7584 5.48529 14.5766 6.30343C15.3947 7.12156 15.9519 8.16393 16.1776 9.29872C16.4033 10.4335 16.2875 11.6098 15.8447 12.6787C15.4019 13.7476 14.6521 14.6613 13.6901 15.3041C12.7281 15.9469 11.597 16.29 10.44 16.29C8.88906 16.2881 7.40217 15.6712 6.30548 14.5745C5.2088 13.4778 4.59186 11.9909 4.59 10.44Z" fill="currentColor" />
            </svg>
          </a>
          <a href="<?= base_url('shop/cart.aspx'); ?>" class="btn ps-2 position-relative">
            <span class="cart-count <?= (isset($_SESSION['xcel-cart']) && count($_SESSION['xcel-cart']) < 1) ? 'd-none' : '' ?>" class="cart-count">
              <?= (isset($_SESSION['xcel-cart'])) ? count($_SESSION['xcel-cart']) : ''; ?></span>
            <i class="ix ix-cart-o ix-2x" style="font-size: 1.3rem; top: 4px; right: 4px"></i>
          </a>
        </div>
      <?php endif ?>
    </div>
    <div class="d-none d-lg-block py-3">
      <div class="row">
        <div class="col-1 d-flex align-items-center"><a href="<?= base_url('shop.aspx') ?>" class="py-2 ps-3 ps-lg-0"><img src="<?= base_url('assets/images/logo.png') ?>" height="36px"></a></div>
        <div class="col-3 col-xxl-4 ps-5 d-flex align-items-center"><?php include('search.php'); ?></div>
        <div class="col-8 col-xxl-7"><?php include('navigation.php'); ?></div>
      </div>
    </div>
  </div>
  <div class="container-fluid border-top p-0">
    <?php if ($page != 'home') : ?>
      <div class="container py-lg-3">
        <div class="crumbs">
          <a href="<?= base_url('shop'); ?>" style=""><span>Home</span></a>
          <?php foreach ($crumbs as $value) : ?>
            <span><i class="ix ix-chevron-right"></i> <?= ucwords(str_replace('_', ' ', $value)); ?></span>
          <?php endforeach ?>
        </div>
      </div>
    <?php endif ?>
  </div>
</div>
<div class="container">
  <?php if (!in_array($page, ['home', 'account', 'support', 'cart']) && $data) : ?>
    <h5 class="pb-3 bold d-none d-lg-flex justify-content-between align-items-center" id="sub-title">
      <span>
        <?php if (isset($load_market) && $load_market == true) { ?>
          Searching: <b><em>"<?= $this->input->get('q') ?>"</em></b>
        <?php } else {
          echo ucwords(str_replace('_', ' ', end($crumbs)));
        } ?>
      </span>
    </h5>
  <?php endif ?>
</div>